Package org.firebirdsql.jna.embedded.classpath

## Interface ClasspathFirebirdEmbeddedResource

    public interface ClasspathFirebirdEmbeddedResource

Defines how to locate the resources of a Firebird Embedded library on the classpath.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getLibraryEntryPoint()` Entry point of the library.
`java.util.Collection<java.lang.String>` `getResourceList()` Relative paths against the provider class of the resources with the Firebird Embedded files.

### Method Detail

#### getResourceList

    java.util.Collection<java.lang.String> getResourceList()

Relative paths against the provider class of the resources with the Firebird Embedded files.

The resources must not try to escape the current context using `..`. Implementations trying to do that will not be loaded.

Returns:
  Collection of resource paths of the Firebird Embedded instance

#### getLibraryEntryPoint

    java.lang.String getLibraryEntryPoint()

Entry point of the library.

Returns:
  The relative path of the library entry point (e.g. `"fbclient.dll"` or `"lib/libfbclient.so"`)